# Returns an AWS S3 pre-signed URL for use in downloading a file from a web application This method contacts S3 and generates a "presigned URL." This URL can be used to post a file. The return value is the URL to post. Endpoint: GET /fileUploads/{tenantId}/signedUrl/{service}/{id}/{fileid} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `service` (string, required) The service containing the record this file is related to - `id` (string, required) The id of the record this file is related to - `fileid` (string, required) The id of the uploaded file ## Query parameters: - `filename` (string) An optional filename to enforce for the file - `expires` (string) An optional signed url expire time in seconds, default - 60 (1 minute), max - 259200 (72 hours) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields